﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Common;

namespace Models
{
    /// <summary>
    /// 开奖号
    /// </summary>
    public class LotteryData
    {
        /// <summary>
        /// ID
        /// </summary>
        public string ID { get; set; }
        
        /// <summary>
        /// 分类名称
        /// </summary>
        public string MenuName { get; set; }
        /// <summary>
        /// 彩票类型查询依据
        /// </summary>
        public SCCLottery LotteryType { get; set; }
        /// <summary>
        /// 彩票名字
        /// </summary>
        public string LotteryName { get; set; }
        /// <summary>
        /// 期数
        /// </summary>
        public string Term { get; set; }
        /// <summary>
        /// 开奖时间
        /// </summary>
        public string OpenTime { get; set; }
        /// <summary>
        /// 红球数组
        /// </summary>
        public string[] RedBall { get; set; }
        /// <summary>
        /// 篮球数组
        /// </summary>
        public string[] BlueBall { get; set; }
        /// <summary>
        /// 球总数
        /// </summary>
        public int BallCount { get; set; }
        /// <summary>
        /// 奖池
        /// </summary>
        public string MoneyPond { get; set; }
        /// <summary>
        /// 投注总额
        /// </summary>
        public string MoneyCount { get; set; }
        /// <summary>
        /// 彩票详情内容
        /// </summary>
        public List<LotteryResults> ResultsList { get; set; }
        /// <summary>
        /// 开奖详情
        /// </summary>
        public List<LotteryDetail> Details { get; set; }
    }

    /// <summary>
    /// 彩票详情内容
    /// </summary>
    public class LotteryDetail
    {
        public string Label { get; set; }
        public string Value { get; set; }
    }

    /// <summary>
    /// 开奖详情
    /// </summary>
    public class LotteryResults
    {
        /// <summary>
        /// 级别
        /// </summary>
        public string LevelName { get; set; }
        /// <summary>
        /// 金额
        /// </summary>
        public string Money { get; set; }
        /// <summary>
        /// 数量
        /// </summary>
        public int Count { get; set; }
    }
}
